AntStruct

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jlrfid.service
Class AntStruct

    java.lang.Object
      com.sun.jna.Structure
          com.jlrfid.service.AntStruct

Direct Known Subclasses:
  AntStruct.ByReferenceextends, AntStruct.ByValue

    public class AntStruct

extends com.sun.jna.Structure

Nested Class Summary
`static class` | `AntStruct.ByReferenceextends`
`static class` | `AntStruct.ByValue`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference`

Field Summary
`byte[]` | `antEnable` antenna enable the array or not, 4 antenna has 4 related variable of array, 0 is not enabled, 1 is enabled.
`com.sun.jna.NativeLong[]` | `dwellTime` antenna time array, 4 antenna has 4 related variable of array, time range 50-10000, the unit is ms.
`com.sun.jna.NativeLong[]` | `power` antenna power array, 4 antenna has 4 related variable of array, power range 20-33

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE`

Constructor Summary
`AntStruct()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`autoRead, autoRead, autoWrite, autoWrite, clear, equals, getAutoRead, getAutoWrite, getPointer, hashCode, newInstance, read, readField, setAutoRead, setAutoSynch, setAutoWrite, size, toArray, toArray, toString, toString, write, writeField, writeField`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### antEnable

    public byte[] antEnable

  antenna enable the array or not, 4 antenna has 4 related variable of array, 0 is not enabled, 1 is enabled.

### dwellTime

    public com.sun.jna.NativeLong[] dwellTime

  antenna time array, 4 antenna has 4 related variable of array, time range 50-10000, the unit is ms.

### power

    public com.sun.jna.NativeLong[] power

  antenna power array, 4 antenna has 4 related variable of array, power range 20-33

Constructor Detail

### AntStruct

    public AntStruct()

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD